SalesOS.

Call Intelligence

Call recording analysis and insights

Call Intelligence Controller_search Calls

GET
/api/calls/search

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/calls/search" \
  -H "Authorization: Bearer <token>"
POST
/api/calls/searches

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://www.salesos.org/api/api/calls/searches" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Call Intelligence Controller_get Saved Searches

GET
/api/calls/saved/searches

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/calls/saved/searches" \
  -H "Authorization: Bearer <token>"

Call Intelligence Controller_upsert Tracker

POST
/api/calls/trackers

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://www.salesos.org/api/api/calls/trackers" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Call Intelligence Controller_get Trackers

GET
/api/calls/config/trackers

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/calls/config/trackers" \
  -H "Authorization: Bearer <token>"

Call Intelligence Controller_create Stream

POST
/api/calls/streams

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://www.salesos.org/api/api/calls/streams" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Call Intelligence Controller_get Call Details

GET
/api/calls/{callId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

callIdRequiredstring
curl -X GET "https://www.salesos.org/api/api/calls/<string>" \
  -H "Authorization: Bearer <token>"

Call Intelligence Controller_analyze Call

GET
/api/calls/{callId}/analyze

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

callIdRequiredstring
curl -X GET "https://www.salesos.org/api/api/calls/<string>/analyze" \
  -H "Authorization: Bearer <token>"